using ChatServer.util;
using System.Threading;

// Server
namespace ChatServer
{
  class Program
  {
    static void Main(string[] args)
    {
      Run();
    }

    static void Run()
    {
      ThreadPool.SetMaxThreads(5, 5); // 스레드 풀에 있는 (최대 작업자 스레드수, 비동기 IO 스레드수) 
      QueueUtil.StartDetecting();
      NetUtil.StartListening();
    }
  }
}
